$color_1: black;
$color_2: white;
$color_3: #cacaca;

$background_color_1: #ccc;
$background_color_2: white;
$background_color_3: #2196f3;

$background_color_4: #2199e8;
$background_color_5: #ddd;
$background_color_6: transparent;

.flex-row {
  display: flex;
}

.flex-column {
  flex: 1;
  overflow: hidden;
  text-overflow: ellipsis;
}

.flex-add-column {
  flex: 0.2;
  text-align: center;
}

.company-name {
  color: #007bff !important;
  text-decoration: none !important;
  background-color: transparent !important;
  &:hover {
    color: #0056b3 !important;
    text-decoration: underline !important;
  }
}

// pagination
.pagination-section {
  display: flex;
  justify-content: space-between;
  padding: 20px;
}
.pagination {
  a {
    color: $color_1;
    float: left;
    padding: 5px 10px;
    text-decoration: none;
    transition: background-color 0.3s;
    border: 1px solid #e2e2e2;
    &:hover {
      &:not(.active) {
        cursor: pointer;
        background-color: $background_color_5;
        text-decoration: underline !important;
      }
    }
  }
  a.active {
    background-color: $background_color_4;
    color: $color_2;
  }
}

.disabled {
  cursor: context-menu !important;
  color: $color_3 !important;
  background-color: $background_color_6 !important;
  text-decoration: none !important;
}
